 
clear all
clc
close all


 % Retrieve Data
    filename = 'Precursor drawn and nondrawn axial and radial expansion as a function of pressure.xlsx';
    sheet = 'Sheet1';
    sample = xlsread(filename, sheet,'A:H');
       p_nondrawn_axial = sample(1:end,1);
        Strain_nondrawn_axial = sample(1:end,2);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        p_drawn_axial = sample(1:end,3);
        Strain_drawn_axial = sample(1:end,4);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        p_nondrawn_radial = sample(1:end,5);
        Strain_nondrawn_radial = sample(1:end,6);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        p_drawn_radial = sample(1:end,7);
        Strain_drawn_radial = sample(1:end,8);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

set(groot, 'DefaultTextInterpreter', 'tex', ...
           'DefaultAxesTickLabelInterpreter', 'tex', ...
           'DefaultAxesFontName', 'tex', ...
           'DefaultLegendInterpreter', 'tex', ...
           'defaultFigureColor','w');


fig=figure('units','inch','position',[0,0,3.5,2.5]); hold on; grid on; set(gca,'FontSize',8);
 
plot(p_nondrawn_axial,Strain_nondrawn_axial,':','Linewidth',1,'Color',[0.5,0.5,0.5])

plot(p_drawn_axial(1:10),Strain_drawn_axial(1:10),':','Color',[0 0 0.],'Linewidth',1)

plot(p_nondrawn_radial,Strain_nondrawn_radial,'Color',[0.5,0.5,0.5],'Linewidth',1)
 
plot(p_drawn_radial(1:10),Strain_drawn_radial(1:10),'Color',[0 0 0],'Linewidth',1)

leg =legend('ɛ_{Axial} Nondrawn','ɛ_{Axial} Drawn',...
     'ɛ_{Radial} Nondrawn','ɛ_{Radial} Drawn','Location','northwest')
 leg.ItemTokenSize = [5,20];
xlim([0 200])
ylim([-2 40]);set(gca,'YTick',[0:10:40]); 
 xlabel('Pressure (psi)')
 ylabel('Strain, ɛ (%)')


 grid on 
set(gca,'GridColor',[0.1 0.2 0.9]) % a bluish color 
print(gcf,'Strains_DrawnandNONDrawn.png','-dpng','-r700'); 

 

 